library DAVSLArgs;
{---------------------------------------------------------------
A DAVSL VSL DLL library
www.diagramantics.com
----------------------------------------------------------------}

uses
  SysUtils,
  Classes,
  DAVSL in '..\DAVSL\DAVSL.pas',
  DAVAO in '..\DAVSL\DAVAO.pas',
  DAVSL_Util in '..\DAVSL\DAVSL_Util.pas',
  DAVSL_About in '..\DAVSL\DAVSL_About.pas' {dlg_About},
  DAVSLArgs_AddOns in 'DAVSLArgs_AddOns.pas',
  DAVSLArgs_Form1 in 'DAVSLArgs_Form1.pas' {Form1};

{$E vsl}
{$R *.RES}
//-----------------------------------------------------------------------------
function VisioLibMain(wMsg: TVAOMsg; wParam: word; lpParam: pointer): TVAORC; cdecl;
//-----------------------------------------------------------------------------
Begin
  If Assigned(VSL) then
  Begin
    Result := VSL.VisioLibMain(wMsg, wParam, lpParam);
  end else
  Begin
    Result := VAORC_L2V_LOADFAILED;
  end;
end;

exports
  VisioLibMain name 'VisioLibMain';
begin
end.
 
