library DAVSLEvents;
{---------------------------------------------------------------
A DAVSL VSL DLL library
www.diagramantics.com
----------------------------------------------------------------}
uses
  SysUtils,
  Classes,
  DAVSL in '..\DAVSL\DAVSL.pas',
  DAVAO in '..\DAVSL\DAVAO.pas',
  DAVSL_Util in '..\DAVSL\DAVSL_Util.pas',
  DAVisioAddOnSink_TLB in '..\DAVSL\DAVisioAddOnSink_TLB.pas',
  DAVSL_IncludeEvents in '..\DAVSL\DAVSL_IncludeEvents.pas',
  DAVSLEvents_Form in 'DAVSLEvents_Form.pas' {Form1},
  DAVSLEvents_Addons in 'DAVSLEvents_Addons.pas',
  DAVSLEvents_Events in 'DAVSLEvents_Events.pas',
  DAVSL_About in '..\DAVSL\DAVSL_About.pas' {dlg_About},
  DAVSLEvents_Control in 'DAVSLEvents_Control.pas';

{$E vsl}
{$R *.RES}
//-----------------------------------------------------------------------------
function VisioLibMain(wMsg: TVAOMsg; wParam: word; lpParam: pointer): TVAORC; cdecl;
//-----------------------------------------------------------------------------
Begin
  If Assigned(VSL) then
  Begin
    Result := VSL.VisioLibMain(wMsg, wParam, lpParam);
  end else
  Begin
    Result := VAORC_L2V_LOADFAILED;
  end;
end;

exports
  VisioLibMain name 'VisioLibMain';
begin
end.
 
